unit Beeper;

{ This is a do-nothing expert to illustrate the basic of expert
  authoring.  It simply beeps the PC speaker when invoked.
  By Dave Jewell, for PC Pro Magazine.
}

interface

uses Windows, ExptIntf;

type
    TBeeperExpert = class (TIExpert)
    { Expert UI strings }
    function GetName: string; override;
    function GetAuthor: string; override;
    function GetComment: string; override;
    function GetPage: string; override;
    function GetGlyph: hIcon; override;
    function GetStyle: TExpertStyle; override;
    function GetState: TExpertState; override;
    function GetIDString: string; override;
    function GetMenuText: string; override;
    { Launch the Expert }
    procedure Execute; override;
end;

implementation

resourcestring
    idAuthor   = 'Dave''s ExpertWare Inc.';
    idMenuText = 'Honk if you wrote a Delphi expert last night...';
    idName     = 'Beep Expert';
    idComment  = 'Beep the PC speaker';

function TBeeperExpert.GetName: string;
begin
    Result := idName;           { Name of this expert }
end;

function TBeeperExpert.GetAuthor: string;
begin
    Result := idAuthor;         { Return the author information }
end;

function TBeeperExpert.GetComment: string;
begin
    Result := idComment;        { Propbably not needed here, but ... }
end;

function TBeeperExpert.GetPage: string;
begin
    Result := '';               { Standard experts don't use this }
end;

function TBeeperExpert.GetGlyph: hIcon;
begin
    Result := 0;                { Standard experts don't use this }
end;

function TBeeperExpert.GetStyle: TExpertStyle;
begin
    Result := esStandard;       { Tell Delphi I'm a standard expert }
end;

function TBeeperExpert.GetState: TExpertState;
begin
    Result := [esEnabled];      { Menu item must be enabled }
end;

function TBeeperExpert.GetIDString: string;
begin
    Result := idAuthor+idName;  { Return unique ID string }
end;

function TBeeperExpert.GetMenuText: string;
begin
    Result := idMenuText;       { Return wanted menu text }
end;

procedure TBeeperExpert.Execute;
begin
    if ToolServices <> Nil then MessageBeep (0);            { That''s all folks ! }
end;

end.

